separateXMLDataByExpt {RpsiXML} | R Documentation

## Convert a vector of PSI-MI 2.5 XML files into graph objects based on pubmedID

### Description

The function `psimi25XML2Graph` take a vector of XML 2.5 files from te same data source and generates a graph object based on the type of the files.

### Usage

    separateXMLDataByExpt(xmlFiles, psimi25source, type = "direct", directed = TRUE, abstract = FALSE,...)

### Arguments

`xmlFiles` | Single file name or a vector of PSI-MI 2.5 XML file names or URLs.
`type` | A character. Currently the user can specify to cull either "direct" interactions or "indirect" interactions.
`psimi25source` | Source of the PSI-MI 2.5 XML file, see `psimi25Source-class`
`directed` | Logical, whehter the returned graph object should be directed or undirected.
`abstract` | Logical; if TRUE, the abstract information will be appended to the graph object.
`...` | Other parameters passed to `parsePsimi25Interaction`, for example `verbose=TRUE`

### Value

A list of `psimi25Graph-class` are generated indexed by the pubmedID of each bait-prey interaction. WARNING - the abstract information is obtained using the pubmed and buildPubMedAbst functions from the annotate package which warns the user that NCBI may block access to their site. The default is to not obtain the abstract for this reason.

### Author(s)

Jitao David Zhang, Tony Chiang

### See Also

`psimi25Source-class`, `psimi25Graph-class`, `psimi25Hypergraph-class`

### Examples

    xmlDir <- system.file("/extdata/psi25files",package="RpsiXML")

    intactxml <- file.path(xmlDir, "intact_2008_test.xml")
    intactGraph <- separateXMLDataByExpt(intactxml, INTACT.PSIMI25)

[Package RpsiXML version 1.0.0 Index]